server:
  port: 8081

sm4:
  key: 1234567890123456
  public-key: ZpX4mTkcNwL58qAhFD1bEy7vRCMzxgKQ
  private-key: aX7pKf2LtQ9sVmZ3
  open-url: http://8.137.127.56:3340
  open-url-local: http://192.168.1.8:3338

emoon:
  admin:
    url: http://8.137.127.56:3340
    url-local: http://192.168.1.8:3338

spring:
  datasource:
    dynamic:
      datasource:
        admin:
          type: ${spring.datasource.type}
          driver-class-name: com.mysql.cj.jdbc.Driver
          url: jdbc:mysql://8.136.61.90:3307/emoon_ai_plus?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8&autoReconnect=true&rewriteBatchedStatements=true&allowPublicKeyRetrieval=true&nullCatalogMeansCurrent=true
          username: emoon_ai_plus
          password: HE2WrbSzY7tjHfWj
        open:
          type: ${spring.datasource.type}
          driverClassName: com.mysql.cj.jdbc.Driver
          url: jdbc:mysql://8.136.61.90:3307/open_emoon_com?useSSL=false&serverTimezone=Asia/Shanghai
          username: open_emoon_com
          password: GitJxZxEdMaYK2ac
      primary: admin
      # 严格模式 匹配不到数据源则报错
      strict: true
    type: com.zaxxer.hikari.HikariDataSource
  data:
    redis:
      port: 6380
      host: 8.136.61.90
      password: 123456
      database: 0
mybatis-plus:
  mapperPackage: com.emoon.**.mapper
  global-config:
    db-config:
      id-type: auto
  configuration:
    map-underscore-to-camel-case: true
    auto-mapping-behavior: full
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl

xinference:
  url: http://60.164.133.40:19997/

weaviate:
  protocol: http
  host: 8.137.127.56
  port: 6039
  className: LocalKnowledge

file:
  #上传附件保存本地地址
  upload-path: /www/knowledge/files/
  #上传附件访问地址
  base-url: http://192.168.0.77:5666

feign:
  admin-url: http://localhost:8080

# 日志配置
logging:
  level:
    com.emoon: info
    org.springframework: warn
    org.mybatis.spring.mapper: error
    root: info
  config: classpath:logback-plus.xml
